Bug 425 - charset/unicode documentation incorrectnesses
charset/unicode documentation incorrectnesses
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.11
All All
: P3 normal
: none
Assigned To: Jelmer Vernooij
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-09 07:25 UTC by Björn Jacke
Modified: 2005-08-24 10:26 UTC (History)
0 users

See Also:


Attachments
unicode docu fix (1.09 KB, patch)
2003-09-09 07:26 UTC, Björn Jacke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2003-09-09 07:25:26 UTC
I'll attach a fix for unicode.xml. Things about previous Samba defaults are 
corrected. 
But one more thing about unicode.xml. It's written there that Japanese is a 
problem due to iconv problems with CP932. Is this still a problem? I never 
heared about a problem here before and Japanese works okay for me with Samba3.
Comment 1 Björn Jacke 2003-09-09 07:26:33 UTC
Created attachment 130 [details]
unicode docu fix
Comment 2 Jelmer Vernooij 2003-09-20 20:25:45 UTC
Fixed in book CVS. Should be in 3.0 CVS by monday.
Comment 3 Björn Jacke 2003-09-25 01:29:30 UTC
the patch also corrected the link to convmv for filename conversion. The cvs 
now doesn't seem to contain the link to convmv anymore, no hint anymore. Where 
is that gone? 
The changes I wrote in the patch have been somewhat more verbose than what is 
written in the howto now, did you not like what I wrote? 
And what about the japanese support which doesn't seem broken at all, I wrote 
about? 
Comment 4 Jelmer Vernooij 2003-10-09 14:47:03 UTC
I don't know why the convmv link went out ... Anyway, it's back in. I didn't
apply the other part of your patch because it was incorrect.
Comment 5 Björn Jacke 2003-10-09 15:28:04 UTC
sorry if I do not agree ;-)
I added this sentence:

The default in previous samba releases was to save filenames in the encoding
of the clients, for example cp850 for western european countries.

What is wrong about that? That's what Samba 2.x does.
Befere there was written, that ASCII would be the default and THAT was not
correct.

The above sentence is quite important for people reading the howto to
understand how their existing files from the Samba2 server are encoded.
Comment 6 Jelmer Vernooij 2003-10-09 16:24:24 UTC
That's not what this is about. This is the charset samba assumes the OS is using
internally. I can agree with the fact that the current document is confusing,
though.
Comment 7 Jelmer Vernooij 2004-01-02 08:52:20 UTC
Ping, still there? 
Comment 8 Björn Jacke 2004-01-03 15:01:59 UTC
sorry, are you expecting any additional information from me? Can I do anything 
else?
Comment 9 Jelmer Vernooij 2004-01-06 16:35:15 UTC
Sorry, my mistake.
Comment 10 Björn Jacke 2004-10-06 03:35:46 UTC
Jelmer, this bug still needs some work. ASCII was not the default in previous
samba versions, this is still wrong in the HOWTO. I'm still sure that my change:
"default was to save filenames in the encoding of the clients' codepage" is
correct. That happened when no "character set" varibale was set. Samba did no
assumptions. "client codepage" parameter was used to convert to "character set"
when that was set.
Comment 11 Gerald (Jerry) Carter 2005-02-01 12:01:40 UTC
updating qa contact
Comment 12 Gerald (Jerry) Carter 2005-02-07 09:11:08 UTC
status ?
Comment 13 Jelmer Vernooij 2005-03-10 16:12:34 UTC
Rest of the patch applied. Thanks for your patience ;-)
Comment 14 Gerald (Jerry) Carter 2005-08-24 10:26:02 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.